Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Avalon 6.2 has been tested against Ruby 2.3 and Ruby 2.4, while there are no known reasons that other versions of Ruby 2 will not work, the Avalon Team recommends using one of these versions of Ruby.  

Updating Fedora (Optional)

Avalon 6.2 has primarily been tested against Fedora 4.7.4.  Fedora 4.7.4 is also currently in the process of becoming the LTS version of Fedora, you may wish to consider upgrading to Fedora 4.7.4, but this is not required.  Fedora 4.7.4 install/upgrade directions can be found here.

Note

/about/health.yaml is now publicly accessible to make it easier for monitoring softwares like Nagios to parse. All other routes under  /about/ still requires authentication and administrator privilege.


...


Upgrade Steps

For manual install:

Download and deploy new code from avalon repo

...